<div
    class="flex flex-col flex-auto items-top min-w-0"
    style="background-color: #f8f8f8"
>
    <div class="container mx-auto flex justify-between">
        <div
            class="flex items-center cursor-pointer"
            [routerLink]="['/editProfile']"
        >
            <mat-icon class="mt-6 mb-6" style="color: #0038ff"
                >keyboard_arrow_left</mat-icon
            ><span class="mt-6 mb-6 font-Semibold-20" style="color: #0038ff"
                >Back</span
            >
        </div>
        <div
            class="flex items-center cursor-pointer"
            [routerLink]="['/help_outline']"
        >
            <mat-icon class="mt-6 mb-6" style="color: #0038ff"
                >help_outline</mat-icon
            >
        </div>
    </div>

    <div class="flex flex-col pt-6 mx-6">
        <div class="mt-2 font-Semibold-40 text-center font-141461">
            <div>Edit Profile Picture</div>
        </div>
    </div>
    <div
        class="flex items-top justify-center mt-7 mx-auto w-full sm:w-auto px-4 sm:bg-card"
        style="box-shadow: 0px 0px 6px #0000001a"
    >
        <div class="w-full max-w-lg sm:w-96 mx-auto sm:mx-0">
            <div id="register2" class="flex-auto p-6 sm:p-10">
                <div class="flex font-Semibold-20 font-333 py-4 pb-0">
                    Upload your profile picture
                </div>
                <label for="file-upload" class="file-label flex py-4 pb-0">
                    <button
                        mat-button
                        class="flex-row-reverse justify-between w-full button-r5"
                        style="background-color: #0038ff; color: #ffffff"
                        onclick="document.getElementById('file-upload').click()"
                    >
                        Upload new picture
                        <mat-icon
                            style="color: #ffffff"
                            svgIcon="upload"
                        ></mat-icon>
                    </button>
                </label>
                <input
                    id="file-upload"
                    type="file"
                    accept="image/*"
                    (change)="onFileSelected($event)"
                    class="file-input"
                    style="display: none"
                />
                <img
                    *ngIf="imageSrc"
                    [src]="imageSrc"
                    alt="Uploaded image"
                    style="margin-top: 10px"
                />
                <div style="background-color: #f3f6fd" class="py-4 mt-8">
                    <p class="font-Regular-14 font-7B7B7B">
                        For best results, we recommend uploading a profile
                        picture that meets the following requirements:
                    </p>

                    <ul
                        class="list-disc font-Regular-14 ml-4 font-7B7B7B leading-6"
                    >
                        <li>Minimum resolution of 300 x 300px</li>
                        <li>JPEG or PNG format</li>
                        <li>Maximum file size of 3 MB</li>
                    </ul>
                </div>
                <button
                    mat-button
                    class="justify-center w-full button-r5 button-r5-disable"
                    style="background-color: #0038ff; color: #ffffff"
                    (click)="onSave()"
                    [disabled]="disableButton"
                >
                    Save
                </button>
            </div>
        </div>
    </div>
</div>
